<template>
  <form @submit.prevent="search">
    <div class="search-box">
      <input type="search" v-model="q" placeholder="Location i.e. Sa" />
      <button>&#128269;</button>
    </div>
  </form>
</template>

<script>
export default {
  data () {
    return {
      q: null
    }
  },
  methods: {
    search() {
      this.$router.push({ name: 'search', params: { q: this.q }})
    }
  },
  mounted () {
    this.q = this.$route.params.q
  }
}
</script>
<style scoped>
  .search-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    margin-top: 2rem;
    margin-bottom: 2rem;
  }
  .search-box input {
    padding: 1rem;
    width: 50%;
    border-radius: 2rem;
    border: 1px solid #eee;
    outline: none;
  }
  .search-box input:focus {
    border: 1px solid #ddd;
  }

  .search-box button {
    margin-left: -40px;
    background: transparent;
    border: none;
    cursor: pointer;
    outline: none;
    font-size: 24px;
    margin-top: 5px;
  }
</style>
